## com.google.gwt.user.client.ui
Interface FocusListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DelegatingFocusListenerCollection, FocusListenerAdapter

Deprecated. Use `FocusHandler` and/or `BlurHandler` instead

    @Deprecated
    public interface FocusListener

extends java.util.EventListener

Event listener for focus events.

Method Summary
`void` | `onFocus(Widget sender)` Deprecated. Use `FocusHandler.onFocus(com.google.gwt.event.dom.client.FocusEvent)` instead
`void` | `onLostFocus(Widget sender)` Deprecated. Use `BlurHandler.onBlur(com.google.gwt.event.dom.client.BlurEvent)` instead

Method Detail

### onFocus

    @Deprecated
    void onFocus(Widget sender)

  Deprecated. Use `FocusHandler.onFocus(com.google.gwt.event.dom.client.FocusEvent)` instead

  Fired when a widget receives keyboard focus.

  Parameters:
    `sender` - the widget receiving focus.

### onLostFocus

    @Deprecated
    void onLostFocus(Widget sender)

  Deprecated. Use `BlurHandler.onBlur(com.google.gwt.event.dom.client.BlurEvent)` instead

  Fired when a widget loses keyboard focus.

  Parameters:
    `sender` - the widget losing focus.